DS_GET_UNIQUE_NAMED_VALUE(3)

FUNCTION
ds_get_unique_named_value - Get a unique named value from a Karma general data structure.

SYNOPSIS
#include <karma_ds.h>

flag ds_get_unique_named_value

(CONST packet_desc *pack_desc, CONST char *packet, CONST char *name, unsigned int *type, double value[2])

DESCRIPTION
Get a unique named value from a Karma general data structure.

pack_desc
    A pointer to the packet descriptor.

packet
    A pointer to the packet containing the named value.

name
    The name of the value.

type
    The type of the element found will be written here. If this is NULL, nothing is written here. On error, the type of the element is written here. The value NONE is written here if the element does not exist.

value
    The value of the element data will be written here.

RETURN VALUE
TRUE on success, else FALSE.

Multi-threading Level
Unsafe.

AUTHOR
Richard Gooch (rgooch@atnf.csiro.au)

AVAILABLITY
The Karma Distribution is available for anonymous ftp from: ftp://ftp.atnf.csiro.au/pub/software/karma/ ftp://wuarchive.wustl.edu/graphics/graphics/packages/karma/ ftp://ftp.pwr.wroc.pl/pub/karma/ The Karma Home Page is: http://www.atnf.csiro.au/karma/